import styled from "styled-components";
import Hook from './Checkbox.svg'
const CheckboxOrigin = styled.input.attrs({ type: 'checkbox' })`
  visibility: hidden;
`;


const CheckboxStyled = styled.div`
position: absolute;
top: 0;
right: 0;
font-size: 1em;
width: 1em;
height: 1em;
font-weight: bold;
color: ${props => props.disabled ? props.theme.colours.color1 : props.theme.colours.color3};
border: solid .1em ${props => props.disabled ? props.theme.colours.color7 : props.theme.colours.color3};
background: ${props => props.disabled ? props.theme.colours.color9 : props.theme.colours.color4};
transition: ease-in-out 125ms;

${CheckboxOrigin}:checked  +&{
    border: solid .1em ${props => props.disabled ? props.theme.colours.color7 : props.theme.colours.color3};
    background-color: ${props => props.disabled ? props.theme.colours.color9 : props.theme.colours.color3};
    color: ${props => props.disabled ? props.theme.colours.color1 : props.theme.colours.color6};
    background-image: url(${Hook});
    background-position: center;
    background-repeat: no-repeat;
}
${CheckboxOrigin}:hover  +&{
    background-color: ${props => props.disabled ? props.theme.colours.color9 : props.theme.colours.color3};
    color: ${props => props.disabled ? props.theme.colours.color1 : props.theme.colours.color6};
    border: solid .1em ${props => props.disabled ? props.theme.colours.color7 : props.theme.colours.color10};
    
}
`;
const CheckboxWrapper = styled.label`
    position: relative;
    display: inline-block;
    vertical-align: middle;
`;


const Checkbox = ({ className, checked, ...props }) => (
    <CheckboxWrapper className={className}>
        <CheckboxOrigin checked={checked} {...props} />
        <CheckboxStyled checked={checked} />
    </CheckboxWrapper>

);
export default Checkbox;